Subject: Re: [PATCHv2 0/4] git-p4: small fixes to branches and labels; tests

From: Pete Wyckoff <[email-masked]>
Date: Sun, 4 Dec 2011 11:07:39 -0500

[email-masked] wrote on Thu, 01 Dec 2011 00:37 +0000:
> On Wed, Nov 30, 2011 at 11:00 PM, Pete Wyckoff <[email-masked]> wrote:
> > And avoids collision with some Vitor code that will get
> > added eventually.
> 
> I'm starting to doubt I will ever be able to overcome the fast-import
> limitation on not allowing branch delesetion. Sure, the code I wrote was
> garbage! But they seem to be very relunctant on the concept of deleting
> branches on the fly.
> Did you ever take a look at the patch I sent? Maybe you could help me
> shape it up a bit.

I don't think we necessarily need branch deletion inside the
fast-import.  Can you go back and look at my mail from August and
see if that approach is doable?  Just make a single commit on a
throwaway branch with no parent, checkpoint, then do diff-tree
for each potential parent until you find a match.  Do the commit
for real where it goes.  As git-p4 exits, we'll delete the branch
ref of the test commit.

If this works, we can see if fast-import can be taught to
generate a tree object without a commit to save the need for a
temporary branch.

		-- Pete